opencv: CvForestTree Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | Friends

# CvForestTree Class Reference

`#include <ml.hpp>`

Inheritance diagram for CvForestTree:

List of all members.

## Public Member Functions
| CvForestTree ()
virtual int | get_var_count () const
virtual void | read (CvFileStorage *fs, CvFileNode *node, CvDTreeTrainData *data)
virtual void | read (CvFileStorage *fs, CvFileNode *node)
virtual void | read (CvFileStorage *fs, CvFileNode *node, CvRTrees *forest, CvDTreeTrainData *_data)
virtual bool | train (CvDTreeTrainData *trainData, const CvMat *_subsample_idx)
virtual bool | train (const CvMat *trainData, int tflag, const CvMat *responses, const CvMat *varIdx=0, const CvMat *sampleIdx=0, const CvMat *varType=0, const CvMat *missingDataMask=0, CvDTreeParams params=CvDTreeParams())
virtual bool | train (CvDTreeTrainData *trainData, const CvMat *_subsample_idx, CvRTrees *forest)
virtual | ~CvForestTree ()
## Protected Member Functions
virtual CvDTreeSplit * | find_best_split (CvDTreeNode *n)
## Protected Attributes
CvRTrees * | forest
## Friends
struct | cv::ForestTreeBestSplitFinder

## Constructor & Destructor Documentation

CvForestTree::CvForestTree | ( | ) |

virtual CvForestTree::~CvForestTree | ( | ) | `[virtual]`

## Member Function Documentation

virtual CvDTreeSplit* CvForestTree::find_best_split | ( | CvDTreeNode * | n ) | `[protected, virtual]`

Reimplemented from CvDTree.

virtual int CvForestTree::get_var_count | ( | ) | const`[inline, virtual]`

virtual void CvForestTree::read | ( | CvFileStorage * | fs,
|  | CvFileNode * | node,
|  | CvDTreeTrainData * | data
| ) |  | `[virtual]`

Reimplemented from CvDTree.

virtual void CvForestTree::read | ( | CvFileStorage * | fs,
|  | CvFileNode * | node
| ) |  | `[virtual]`

Reimplemented from CvDTree.

virtual void CvForestTree::read | ( | CvFileStorage * | fs,
|  | CvFileNode * | node,
|  | CvRTrees * | forest,
|  | CvDTreeTrainData * | _data
| ) |  | `[virtual]`

virtual bool CvForestTree::train | ( | CvDTreeTrainData * | trainData,
|  | const CvMat * | _subsample_idx,
|  | CvRTrees * | forest
| ) |  | `[virtual]`

virtual bool CvForestTree::train | ( | CvDTreeTrainData * | trainData,
|  | const CvMat * | _subsample_idx
| ) |  | `[virtual]`

Reimplemented from CvDTree.

virtual bool CvForestTree::train | ( | const CvMat * | trainData,
|  | int | tflag,
|  | const CvMat * | responses,
|  | const CvMat * | varIdx = `0`,
|  | const CvMat * | sampleIdx = `0`,
|  | const CvMat * | varType = `0`,
|  | const CvMat * | missingDataMask = `0`,
|  | CvDTreeParams | params = `CvDTreeParams()`
| ) |  | `[virtual]`

Reimplemented from CvDTree.

## Friends And Related Function Documentation

friend struct cv::ForestTreeBestSplitFinder`[friend]`

## Member Data Documentation

CvRTrees* CvForestTree::forest`[protected]`

The documentation for this class was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines